{
	"info": "",
	"field": {
		"inr_kInvoice_id": [],
		"inr_kSales_Order": [],
		"inr_kDispatch_Note": [],
		"inr_kUnit": [],
		"inr_kDelivered_Quantity": [
			["inr_sMÄÄRÄ YHT"]
		],
		"inr_kPrice__Unit":[
			["inr_sAHINTA"]
		],
		"inr_kVAT_Percentage": [
			["inr_sLVV PROSENTT"]
		],
		"inr_kVAT_Price": [
			["inr_sLVV_N HINTA"]
		],
		"inr_kExplanation": [],
		"inr_kInfo": [],
		"inr_kProduct_id": [
			["inr_sTUOTE"]
		],
		"inr_kPrice_Total": [
			["inr_sHINTA YHT"]
		],
		"inr_kRow_Number": [],
		"inr_kSales_Order_Code_id": [
			["inr_scMYYNTIKOODI"]
		],
		"inr_kDiscount_Percentage": [
			["inr_ALEPROSENTTI"]
		],
		"inr_kDiscount_Amount": [
			["inr_ALEMARKKAA"]
		],
		"inr_kTotal_Amount": [
			["inr_sMAKSETTAVA Y"]
		],
		"inr_kCustomer_Row_Number": [],
		"inr_kDelivery_Date": [],
		"inr_kOrder_Amount": [],
		"inr_kEmployee_id": [
			["in_sMyyjä", "=", "inr_Employee_id"]
		],
		"inr_kCost_Price__unit": [],
		"inr_kPurchase_Order": [],
		"inr_kType_": [],
		"inr_kSerial_Number": [],
		"inr_kTariff_Heading": [],
		"inr_kCommission": [],
		"inr_kMarketing_Support": [],
		"inr_kSales_Price": [],
		"inr_kDelivery_Customer": [],
		"inr_kPosition_": [],
		"inr_kNo_Printing": [],
		"inr_kParcel_Code": [],
		"inr_kDimension": [
			"if", ["_fi InFullpage", "==", "kTrue"],
			[
				["inr_KPL_MÄÄRÄ"]
			]
		],
		"inr_kUnit_Total": [
			"if", ["_fi InFullpage", "==", "kTrue"],
			[
				["inr_KPL_MÄÄRÄ"]
			]
		],
		"inr_kCost_Center": [],
		"inr_kTransfer_id": [],
		"inr_kCustomer_Project": [],
		"inr_kProject_id": []

	},
	"function": {
		"inr_sMÄÄRÄ YHT": [
			"if", ["inr_Order_Amount", "==", 0],
			[
				["inr_Order_Amount", "=", "inr_Delivered_Quantity"]
			],
			["inr_L_AHINTA"],
			["inr_C_RIVISUMMAT", ["inr_kDelivered_Quantity"]],
			"if", ["Not", ["aaOptionKey"]],
			[
				["stpa_S_KPL_MITTA", ["inr_Product_id", "inr_Dimension", "inr_Unit_Total", "inr_Delivered_Quantity", "inr_Delivered_Quantity"]]
			]
		],
		"inr_sAHINTA":[
			["inr_C_RIVISUMMAT", ["inr_kPrice__Unit"]]
		],
		"inr_sLVV PROSENTT":[
			["inr_Price_Total", "=", "inr_Price__Unit", "*", "inr_Delivered_Quantity"],
			"if", ["inr_Product_id", "#", ""],
			[
				["RELATE ONE", ["pr_Sales_Order_Code_id"]],
				"if", ["inr_VAT_Percentage", "#", "[Sales_Order_Code]VAT_Percentage"],
				[
					["CONFIRM", ["Tälle tuotteelle on merkitty erilainen ARV %. Halutko todella vaihtaa sen?"]],
					"if", ["OK", "==", 1],
					[
						["inr_VAT_Price", "=", "inr_VAT_Percentage", "*", "inr_Price_Total", "/", 100]
					]
				]
			],
			["in_Total_Amount", "=", "in_Total_Amount", "-", "inr_VAT_Price", "-", "inr_Price_Total"],
			["in_ALARIVIN_KENT"]
		],
		"inr_sLVV_N HINTA":[
			["inr_VAT_Percentage", "=", "inr_VAT_Price", "*", 100, "/", "inr_Price_Total"]
		],
		"inr_sTUOTE":[
			["C_BOOLEAN", ["pr_fVälilis"]],
			"if", ["pr_fVälilis"],
			[
				["xpRealFile", "=", ["in"]],
				["inr_Product_id", "=", "pr_sTunnus"],
				["RELATE ONE", ["inr_Product_id"]]
			],
			"if", ["pr_Not_In_Use"],
			[
				["xCRY", ["Tämä tuote on merkitty käytöstä poistetuksi."]]
			],
			["inr_No_Printing", "=", "pr_No_Printing"],
			["inr_Unit", "=", "pr_Unit"],
			["inr_Cost_Price__unit", "=", "pr_Cost_Price__unit"],
			"if", ["co_Company_ID", "#", "in_Company_id"],
			[
				["RELATE ONE", ["in_Company_id"]]
			],
			"if", ["pr_No_Discount"],
			[
				["inr_Discount_Percentage", "=", 0]
			],
			[
				["inr_Discount_Percentage", "=", "co_Row_Discount_Percentage"]
			],
			"Case of",
			[
				":", ["co_Sales_Order_Code_id", "#", ""],
				["inr_Sales_Order_Code_id", "=", "co_Sales_Order_Code_id"],
				":", ["co_Foreign_Company"],
				["inr_Sales_Order_Code_id", "=", "pr_Foreign_Sales_Ord_Code_id"]
			],
			"else",
			[
				["inr_Sales_Order_Code_id", "=", "pr_Sales_Order_Code_id"]
			],
			["inr_Sales_Order_Code_id", "=", "soc_ NewCodeGet", ["inr_Sales_Order_Code_id", "in_Date_"]],
			["inr_Purchase_Order_Code_id", "=", "poc_ NewCodeGet", ["pr_Purchase_Order_Code_id", "in_Date_"]],
			"if", ["[Sales_Order_Code]Sales_Order_Code_ID", "#", "inr_Sales_Order_Code_id"],
			[
				["RELATE ONE", ["inr_Sales_Order_Code_id"]]
			],
			["inr_VAT_Percentage", "=", "[Sales_Order_Code]VAT_Percentage"],
			"if", [["[Company]Language", "#", ""], "and", "<>gfKielinimi"],
			[
				["QUERY", ["[Product_Name]", "[Product_Name]Product_Name_id", "=", "inr_Product_id", "*"]],
				["QUERY", ["[Product_Name]", "and", "[Product_Name]Language", "=", "co_Language"]]
			],
		[[["unfinished"]]]
	],
	"inr_sHINTA YHT":[],
	"inr_scMYYNTIKOODI":[],
	"inr_ALEPROSENTTI":[],
	"inr_ALEMARKKAA":[],
	"inr_sMAKSETTAVA":[],
	"inr_KPL_MÄÄRÄ":[]
	}
}
